;	𝐁𝐘 𝐄𝐌𝐏𝐄𝐑𝐎𝐑 ¹₇⁵

; ===ПОВЕДЕНИЕ ВНУТРИ ЗАВОДА===
		IF	(EXT_RES=0)
			IF	(EXPANDED_MAP=0)
	org     $1882A		; x64
			ELSE
	org     $18942		; x128
			ENDIF
		ELSE
			IF	(EXPANDED_MAP=0)
	org     $188FA		; x64+480
			ELSE
	org     $18A12		; x128+480
			ENDIF
		ENDIF
;	org     $19B12		; COOP
;	org     $19F94		; PVP

	dc.w    Super_Power	; Palace
	dc.w    Can_Build	; Light_Factory
	dc.w    Can_Build	; Heavy_Factory
	dc.w    Can_Build	; Hi_Tech
	dc.w    Dont_Build	; IX
	dc.w    Can_Build	; WOR
	dc.w    Building_Str	; Const_yard
	dc.w    Dont_Build	; Windtrap
	dc.w    Can_Build	; Barracks
	dc.w    Starport_Menu	; Starport
	dc.w    Enter_Unit	; Refinery
	dc.w    Enter_Unit	; Repair
	dc.w    No_Entry	; Wall
	dc.w    Dont_Build	; Turret
	dc.w    Dont_Build	; R-Turret
	dc.w    Dont_Build	; Spise_Silo
	dc.w    Dont_Build	; Outpost

Super_Power:	equ $030C
Can_Build:	equ $016A
Building_Str:	equ $0022
Dont_Build:	equ $02A4
Starport_Menu:	equ $02FE
Enter_Unit:	equ $02A4
No_Entry:	equ $036C

;Coop+PVP:
;Super_Power:	equ $0322
;Can_Build:	equ $0172
;Building_Str:	equ $0022
;Dont_Build:	equ $02B4
;Starport_Menu:	equ $0312
;Enter_Unit:	equ $????
;No_Entry:	equ $0386


; ===ОТОБРАЖЕНИЕ СПРАЙТА НА ЗАВОДЕ===
		IF	(EXT_RES=0)
			IF	(EXPANDED_MAP=0)
	org     $89BA		; x64
			ELSE
	org     $8AE8		; x128
			ENDIF
		ELSE
			IF	(EXPANDED_MAP=0)
	org     $8A30		; x64+480
			ELSE
	org     $8B5E		; x128+480
			ENDIF
		ENDIF

	dc.w    _None		; Slab
	dc.w    _None		; Slabx4
	dc.w    _Palace		; Palace
	dc.w    _Factory	; Light_Factory
	dc.w    _Factory	; Heavy_Factory
	dc.w    _Hi_Tech	; Hi_Tech
	dc.w    _Factory	; IX
	dc.w    _Factory	; WOR
	dc.w    _Const_Yard	; Const_yard
	dc.w    _Windtrap	; Windtrap
	dc.w    _Factory	; Barracks
	dc.w    _Factory	; Starport
	dc.w    _None		; Refinery
	dc.w    _None		; Repair
	dc.w    _None		; Turret
	dc.w    _None		; R-Turret
	dc.w    _None		; Spise_Silo
	dc.w    _None		; Outpost

_None:		equ $0166
_Palace:	equ $0076
_Factory:	equ $011C
_Hi_Tech:	equ $0146
_Const_Yard:	equ $0026
_Windtrap:	equ $00EC